Architektur Traverse

From FreeCAD Documentation
Revision as of 21:40, 18 August 2021 by Le Loup (talk | contribs) (Created page with "Das Tragwerk-Werkzeug kann in Makros und aus der Python Konsole heraus durch Verwendung der folgenden Funktion verwendet werden:")

Architektur Tragwerk

Menüeintrag
Architektur → Zaun
Arbeitsbereich
Architektur
Standardtastenkürzel
Keiner
Eingeführt in Version
0.19
Siehe auch
Keiner

Beschreibung

Das Architektur Fachwerkswerkzeug baut ein Fachwerksobjekt auf, entweder aus einem ausgewählten linearen Objekt (z.B. Entwurf Linie oder Skizze), oder von Grund auf neu, wenn beim Aufruf des Befehls kein Objekt ausgewählt ist.

Anwendung

Erzeugen aus einem ausgewählten Objekt

  1. Benutze einen Arbeitsbereich deiner Wahl zum Erstellen einer einzelnen Linie
  2. Wähle diese Linie
  3. Drücke die Arch Tragwerk-Schaltfläche
  4. Passe die Tragwerkeinstellungen an deine Bedürfnisse an


Erzeugen von Grundauf

  1. Make sure nothing is selected
  2. Press the Arch Truss button
  3. Click in the 3D view to define a first point, or manually enter X, Y and Z coordinates
  4. Click in the 3D view to define a second point, or manually enter X, Y and Z coordinates
  5. Adjust the truss properties to your liking

Eigenschaften

Daten

  • DatenTrussAngle: The angle of the truss
  • DatenSlantType: The slant type of this truss
  • DatenNormal: The normal direction of this truss
  • DatenHeightStart: The height of the truss at the start position
  • DatenHeightEnd: The height of the truss at the end position
  • DatenStrutStartOffset: An optional start offset for the top strut
  • DatenStrutEndOffset: An optional end offset for the top strut
  • DatenStrutHeight: The height of the main top and bottom elements of the truss
  • DatenStrutWidth: The width of the main top and bottom elements of the truss
  • DatenRodType: The type of the middle element of the truss
  • DatenRodDirection: The direction of the rods
  • DatenRodSize: The diameter or side of the rods
  • DatenRodSections: The number of rod sections
  • DatenRodEnd: If the truss has a rod at its endpoint or not
  • DatenRodMode: How to draw the rods

Skripten

Das Tragwerk-Werkzeug kann in Makros und aus der Python Konsole heraus durch Verwendung der folgenden Funktion verwendet werden:

Truss = makeFence([baseobj])

Beispiel:

import FreeCAD
import Draft
import Arch

p1 = FreeCAD.Vector(0,0,0)
p2 = FreeCAD.Vector(2000,0,0)
baseline = Draft.makeLine(p1,p2)
truss = Arch.makeTruss(baseline)
truss.HeightStart = 200
truss.HeightEnd = 400
# adjust other needed properties